/*------------------------------------------------------------------------------*
 * File Name: ImpWizDrapAndDrop.h												*
 * Creation: Jason 12/12/2003													*
 * Purpose: Origin C file containing Application Utilities						*
 * Copyright (c) OriginLab Corp.	2002-2007									*
 * All Rights Reserved															*
 * 																				*
 * Modification Log:															*
 *	 Jason 12/12/03 v7.5780 MOVE_TO_ON_INIT_SAVE_FILTERS						*
 *   Danice 3/1/04 v8.0828 PAGE_INIT_ONCE										*
 *------------------------------------------------------------------------------*/
 

#define ON_PAGE_CHECK_DRAG_DROP				if(!IS_SHOW_DRAG_DROP_PAGE) return FALSE;
#define DISABLE_FILE_TYPES_PAGE


// Derived WizPage class for WizPage1
class ImpWizDrapAndDropPage : public ImpWizardPage
{
	// Constructor for ImpWizDrapAndDropPage class, use parent constructor
	//ImpWizDrapAndDropPage(int nID) : ImpWizardPage(nID) {}
	
public:
	
	EVENTS_BEGIN
		//PAGE_ON_IS_SHOW(OnIsShowAdvanced)		///Danice 12/25/03 v7.5788 NOTUSE_SHOW
		PAGE_ON_INIT(OnInit_DragDrop)
		PAGE_ON_ACTIVE(OnActive_DragDrop)
		PAGE_ON_KILLACTIVE(OnKillActive_DragDrop)
		PAGE_ON_FINISH(OnFinish)
	EVENTS_END

	//Events handles
	
	///Danice 12/25/03 v7.5788 NOTUSE_SHOW
	/*
	//--------------------------------------------------------------------------
	// OnIsShowAdvanced
	//
	// ON_PAGE_IS_SHOW handler function for all User Defined pages.
	//--------------------------------------------------------------------------
	BOOL OnIsShowAdvanced(DWORD dwPageID, DWORD lParam);
	*/
	DWORD    OnShowStatus(DWORD InternalStatus);
	///END NOTUSE_SHOW
	
	BOOL OnInit_DragDrop();	///Jason 12/12/03 v7.5780 CHANGE_SOME_FUNCTION_NAME

	BOOL OnActive_DragDrop();	///Jason 12/12/03 v7.5780 CHANGE_SOME_FUNCTION_NAME

	BOOL OnKillActive_DragDrop();	///Jason 12/12/03 v7.5780 CHANGE_SOME_FUNCTION_NAME
	BOOL OnFinish();
	void DragDrop_Update(BOOL bDataToDlg=TRUE);

private:
	
	Edit 		m_ebScript;
	Edit 		m_ebOpenIn;
	
	ComboBox 	m_cbGraph;
	ComboBox 	m_cbWorkspace;
	
};
